## nm-device-6lowpan nm-device-6lowpan |

## Functions

NMDevice * | nm_device_6lowpan_get_parent ()
const char * | nm_device_6lowpan_get_hw_address ()

## Types and Values

#define | NM_DEVICE_6LOWPAN_PARENT
#define | NM_DEVICE_6LOWPAN_HW_ADDRESS

## Description

## Functions

### nm_device_6lowpan_get_parent ()

    NMDevice *
    nm_device_6lowpan_get_parent (NMDevice6Lowpan *device);

#### Parameters

device | a NMDevice6Lowpan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.14

### nm_device_6lowpan_get_hw_address ()

    const char *
    nm_device_6lowpan_get_hw_address (NMDevice6Lowpan *device);

Gets the hardware (MAC) address of the NMDevice6Lowpan

#### Parameters

device | a NMDevice6Lowpan |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 1.14

## Types and Values

### NM_DEVICE_6LOWPAN_PARENT

    #define NM_DEVICE_6LOWPAN_PARENT          "parent"

### NM_DEVICE_6LOWPAN_HW_ADDRESS

    #define NM_DEVICE_6LOWPAN_HW_ADDRESS      "hw-address"